This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 570090 - Qt application uses KDE file dialog, which doesn't work properly
Qt application uses KDE file dialog, which doesn't work properly
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kdebase-workspace (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-03 04:12 EST by Jeremy Sanders
Modified: 2010-03-12 21:02 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-12 21:02:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 229375 None None None Never

  None (edit)
Description Jeremy Sanders 2010-03-03 04:12:21 EST
Description of problem:
My Qt (PyQt) application, Veusz, now appears to use a KDE file dialog when exporting files with the updated Qt 4.6. I assume this is a patch to the Qt Fedora supplies.

This dialog is okay, but it appears to now work correctly when selecting filters. The application tries to use the same filter as last time, but the dialog is not responding to the selectFilter request.

My application does something like

dialog = QFileDialog(parent)
dialog.setFilters(filters)
dialog.selectFilter(filt)

where
 filters=['Encapsulated Postscript (*.eps)', 'Portable Network Graphics (*.png)', 'Jpeg bitmap (*.jpg)', 'Windows bitmap (*.bmp)', 'Portable Document Format (*.pdf)', 'Scalable Vector Graphics (*.svg)']
and
 filt='Portable Document Format (*.pdf)'

setFilters and selectFilter don't appear in the API docs for Qt 4.6, but did for Qt 4.2. They do not appear to be deprecated.

The list of filters is set in the dialog, but the selectFilter call appears not to work.

Version-Release number of selected component (if applicable): qt-4.6.2-1.fc12.i686


How reproducible:
Every time

Steps to Reproduce:
1. Install veusz
2. Try to export PDF document in veusz
3. Try again, notice that it does not select the PDF filter in the export dialog.
Comment 1 Jeremy Sanders 2010-03-03 04:35:22 EST
I've tried the new api, setNameFilter and setNameFilters, and these work okay. It would be good to have a completely compatible file dialog.

I've also discovered another fairly serious issue.

My application sets the directory for the dialog using dialog.setDirectory(somedir), where somedir is like '/data/jss/veusz/code/veusz'. The KDE file dialog in Fedora's Qt 4.6 displays the contents of the parent directory of this directory, not the directory itself. The Qt docs say this call "Sets the file dialog's current directory."
Comment 2 Jeremy Sanders 2010-03-03 06:37:07 EST
Sorry - another problem. The new file dialog doesn't make the parent window go dark under kwin with compositing switched on. It makes it rather hard to see which window is the parent window.
Comment 3 Jeremy Sanders 2010-03-04 05:09:06 EST
I've changed this to kde-workspace, as Kevin Kofler says this is provided by /usr/lib(64)/kde4/plugins/gui_platform/libkde.so

I've also filed an upstream bug: https://bugs.kde.org/show_bug.cgi?id=229375
Comment 4 Steven M. Parrish 2010-03-12 21:02:49 EST
Thank you for taking the time to report this issue to us. 

We will continue to track the issue in the centralized upstream bug tracker, and will review any bug fixes that become available for consideration in future updates.

Thank you for the bug report.

Steven M. Parrish
KDE & Packagekit Triager 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.